Bug 21365 - cannot create looks that bind to all dataobject for a given filesystem type..
cannot create looks that bind to all dataobject for a given filesystem type..
Status: VERIFIED FIXED
Product: contrib
Classification: Unclassified
Component: Looks
3.x
PC Windows ME/2000
: P3 (vote)
: 3.x
Assigned To: Petr Hrebejk
issues@contrib
:
Depends on:
Blocks: 21340 18177
  Show dependency treegraph
 
Reported: 2002-03-08 13:46 UTC by Milos Kleint
Modified: 2008-11-18 11:31 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Milos Kleint 2002-03-08 13:46:40 UTC
as far as I could figure (by asking yarda ;) there's no way how to register my
look for all dataobject for a given filesystem type. 

example:
For vcs we want to provide the current versioning explorer functionality within
the standard Explorer, by providing a versioning look that will display the
existing revisions tree for the file..
Thus we need a look for all different dataobject types that is bound to
dataobjects from our filesystems only.
Comment 1 Petr Hrebejk 2002-06-24 11:11:50 UTC
Moving Looks issues to dev 4.0
Comment 2 Jaroslav Tulach 2002-07-25 18:30:27 UTC
Should be possible. Register a "delegator look" for
org.openide.filesystems.FileObject that will extract the class of the
FileObject's filesystem and delegate for example to:

Looks/FileObject/org/openide/filesystems/LocalFileSystem
Looks/FileObject/org/openide/filesystems/AbstractFileSystem
Looks/FileObject/org/openide/filesystems/FileSystem

sequence, the represented object will still be FileObject, but the
dispatch will be done using the FileSystem type.
Comment 3 pzajac 2004-02-25 14:54:49 UTC
verified


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo